com.corticon.rulesemf.canonicalvocabularymodel

## Interface AttributeExtension

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, NamedExtension, org.eclipse.emf.common.notify.Notifier, ValidatableObject

      public interface AttributeExtension
      extends NamedExtension, ValidatableObject

  A representation of the model object 'Attribute Extension'.

  The following features are supported:

  - `Data Type`
  - `Mode`
  - `XML Namespace`
  - `XML Property Name`
  - `Java Object Get Method`
  - `Java Object Set Method`
  - `Java Object Field Name`
  - `Field Column`
  - `Field Null Value`
  - `Field Default Fetch Group`
  - `Field Value Strategy`
  - `Field Sequence`
  - `Field Sequence Table Name`
  - `Field Sequence Name Column Name`
  - `Field Sequence Nextval Column Name`
  - `Identity Entity`
  - `Custom Data Type`
  See Also:
    `CanonicalvocabularymodelPackage.getAttributeExtension()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomDataType` | `getCustomDataType()` Returns the value of the 'Custom Data Type' reference
    `VocabularyString` | `getDataType()` Returns the value of the 'Data Type' containment reference
    `VocabularyString` | `getFieldColumn()` Returns the value of the 'Field Column' containment reference
    `VocabularyBoolean` | `getFieldDefaultFetchGroup()` Returns the value of the 'Field Default Fetch Group' containment reference
    `VocabularyString` | `getFieldNullValue()` Returns the value of the 'Field Null Value' containment reference
    `VocabularyString` | `getFieldSequence()` Returns the value of the 'Field Sequence' containment reference
    `VocabularyString` | `getFieldSequenceNameColumnName()` Returns the value of the 'Field Sequence Name Column Name' containment reference
    `VocabularyString` | `getFieldSequenceNextvalColumnName()` Returns the value of the 'Field Sequence Nextval Column Name' containment reference
    `VocabularyString` | `getFieldSequenceTableName()` Returns the value of the 'Field Sequence Table Name' containment reference
    `VocabularyString` | `getFieldValueStrategy()` Returns the value of the 'Field Value Strategy' containment reference
    `EntityExtension` | `getIdentityEntity()` Returns the value of the 'Identity Entity' reference.
    `VocabularyString` | `getJavaObjectFieldName()` Returns the value of the 'Java Object Field Name' containment reference
    `VocabularyString` | `getJavaObjectGetMethod()` Returns the value of the 'Java Object Get Method' containment reference
    `VocabularyString` | `getJavaObjectSetMethod()` Returns the value of the 'Java Object Set Method' containment reference
    `VocabularyString` | `getMode()` Returns the value of the 'Mode' containment reference
    `VocabularyString` | `getXMLNamespace()` Returns the value of the 'XML Namespace' containment reference
    `VocabularyString` | `getXMLPropertyName()` Returns the value of the 'XML Property Name' containment reference
    `void` | `setCustomDataType(CustomDataType value)` Sets the value of the '`Custom Data Type`' reference
    `void` | `setDataType(VocabularyString value)` Sets the value of the '`Data Type`' containment reference
    `void` | `setFieldColumn(VocabularyString value)` Sets the value of the '`Field Column`' containment reference
    `void` | `setFieldDefaultFetchGroup(VocabularyBoolean value)` Sets the value of the '`Field Default Fetch Group`' containment reference
    `void` | `setFieldNullValue(VocabularyString value)` Sets the value of the '`Field Null Value`' containment reference
    `void` | `setFieldSequence(VocabularyString value)` Sets the value of the '`Field Sequence`' containment reference
    `void` | `setFieldSequenceNameColumnName(VocabularyString value)` Sets the value of the '`Field Sequence Name Column Name`' containment reference
    `void` | `setFieldSequenceNextvalColumnName(VocabularyString value)` Sets the value of the '`Field Sequence Nextval Column Name`' containment reference
    `void` | `setFieldSequenceTableName(VocabularyString value)` Sets the value of the '`Field Sequence Table Name`' containment reference
    `void` | `setFieldValueStrategy(VocabularyString value)` Sets the value of the '`Field Value Strategy`' containment reference
    `void` | `setIdentityEntity(EntityExtension value)` Sets the value of the '`Identity Entity`' reference
    `void` | `setJavaObjectFieldName(VocabularyString value)` Sets the value of the '`Java Object Field Name`' containment reference
    `void` | `setJavaObjectGetMethod(VocabularyString value)` Sets the value of the '`Java Object Get Method`' containment reference
    `void` | `setJavaObjectSetMethod(VocabularyString value)` Sets the value of the '`Java Object Set Method`' containment reference
    `void` | `setMode(VocabularyString value)` Sets the value of the '`Mode`' containment reference
    `void` | `setXMLNamespace(VocabularyString value)` Sets the value of the '`XML Namespace`' containment reference
    `void` | `setXMLPropertyName(VocabularyString value)` Sets the value of the '`XML Property Name`' containment reference

    - ### Methods inherited from interface com.corticon.rulesemf.canonicalvocabularymodel.NamedExtension

      `getGuid, getName, getSource, setGuid, setSource`

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDataType

          VocabularyString getDataType()

      Returns the value of the 'Data Type' containment reference.

      If the meaning of the 'Data Type' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Data Type' containment reference.
      See Also:
        `setDataType(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_DataType()`

    - #### setDataType

          void setDataType(VocabularyString value)

      Sets the value of the '`Data Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Data Type' containment reference.
      See Also:
        `getDataType()`

    - #### getMode

          VocabularyString getMode()

      Returns the value of the 'Mode' containment reference.

      If the meaning of the 'Mode' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Mode' containment reference.
      See Also:
        `setMode(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_Mode()`

    - #### setMode

          void setMode(VocabularyString value)

      Sets the value of the '`Mode`' containment reference.
      Parameters:
        `value` - the new value of the 'Mode' containment reference.
      See Also:
        `getMode()`

    - #### getXMLNamespace

          VocabularyString getXMLNamespace()

      Returns the value of the 'XML Namespace' containment reference.

      If the meaning of the 'XML Namespace' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'XML Namespace' containment reference.
      See Also:
        `setXMLNamespace(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_XMLNamespace()`

    - #### setXMLNamespace

          void setXMLNamespace(VocabularyString value)

      Sets the value of the '`XML Namespace`' containment reference.
      Parameters:
        `value` - the new value of the 'XML Namespace' containment reference.
      See Also:
        `getXMLNamespace()`

    - #### getXMLPropertyName

          VocabularyString getXMLPropertyName()

      Returns the value of the 'XML Property Name' containment reference.

      If the meaning of the 'XML Property Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'XML Property Name' containment reference.
      See Also:
        `setXMLPropertyName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_XMLPropertyName()`

    - #### setXMLPropertyName

          void setXMLPropertyName(VocabularyString value)

      Sets the value of the '`XML Property Name`' containment reference.
      Parameters:
        `value` - the new value of the 'XML Property Name' containment reference.
      See Also:
        `getXMLPropertyName()`

    - #### getJavaObjectGetMethod

          VocabularyString getJavaObjectGetMethod()

      Returns the value of the 'Java Object Get Method' containment reference.

      If the meaning of the 'Java Object Get Method' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Get Method' containment reference.
      See Also:
        `setJavaObjectGetMethod(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_JavaObjectGetMethod()`

    - #### setJavaObjectGetMethod

          void setJavaObjectGetMethod(VocabularyString value)

      Sets the value of the '`Java Object Get Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Get Method' containment reference.
      See Also:
        `getJavaObjectGetMethod()`

    - #### getJavaObjectSetMethod

          VocabularyString getJavaObjectSetMethod()

      Returns the value of the 'Java Object Set Method' containment reference.

      If the meaning of the 'Java Object Set Method' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Set Method' containment reference.
      See Also:
        `setJavaObjectSetMethod(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_JavaObjectSetMethod()`

    - #### setJavaObjectSetMethod

          void setJavaObjectSetMethod(VocabularyString value)

      Sets the value of the '`Java Object Set Method`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Set Method' containment reference.
      See Also:
        `getJavaObjectSetMethod()`

    - #### getJavaObjectFieldName

          VocabularyString getJavaObjectFieldName()

      Returns the value of the 'Java Object Field Name' containment reference.

      If the meaning of the 'Java Object Field Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Java Object Field Name' containment reference.
      See Also:
        `setJavaObjectFieldName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_JavaObjectFieldName()`

    - #### setJavaObjectFieldName

          void setJavaObjectFieldName(VocabularyString value)

      Sets the value of the '`Java Object Field Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Java Object Field Name' containment reference.
      See Also:
        `getJavaObjectFieldName()`

    - #### getFieldColumn

          VocabularyString getFieldColumn()

      Returns the value of the 'Field Column' containment reference.

      If the meaning of the 'Field Column' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Column' containment reference.
      See Also:
        `setFieldColumn(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldColumn()`

    - #### setFieldColumn

          void setFieldColumn(VocabularyString value)

      Sets the value of the '`Field Column`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Column' containment reference.
      See Also:
        `getFieldColumn()`

    - #### getFieldNullValue

          VocabularyString getFieldNullValue()

      Returns the value of the 'Field Null Value' containment reference.

      If the meaning of the 'Field Null Value' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Null Value' containment reference.
      See Also:
        `setFieldNullValue(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldNullValue()`

    - #### setFieldNullValue

          void setFieldNullValue(VocabularyString value)

      Sets the value of the '`Field Null Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Null Value' containment reference.
      See Also:
        `getFieldNullValue()`

    - #### getFieldDefaultFetchGroup

          VocabularyBoolean getFieldDefaultFetchGroup()

      Returns the value of the 'Field Default Fetch Group' containment reference.

      If the meaning of the 'Field Default Fetch Group' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Default Fetch Group' containment reference.
      See Also:
        `setFieldDefaultFetchGroup(VocabularyBoolean)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldDefaultFetchGroup()`

    - #### setFieldDefaultFetchGroup

          void setFieldDefaultFetchGroup(VocabularyBoolean value)

      Sets the value of the '`Field Default Fetch Group`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Default Fetch Group' containment reference.
      See Also:
        `getFieldDefaultFetchGroup()`

    - #### getFieldValueStrategy

          VocabularyString getFieldValueStrategy()

      Returns the value of the 'Field Value Strategy' containment reference.

      If the meaning of the 'Field Value Strategy' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Value Strategy' containment reference.
      See Also:
        `setFieldValueStrategy(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldValueStrategy()`

    - #### setFieldValueStrategy

          void setFieldValueStrategy(VocabularyString value)

      Sets the value of the '`Field Value Strategy`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Value Strategy' containment reference.
      See Also:
        `getFieldValueStrategy()`

    - #### getFieldSequence

          VocabularyString getFieldSequence()

      Returns the value of the 'Field Sequence' containment reference.

      If the meaning of the 'Field Sequence' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Sequence' containment reference.
      See Also:
        `setFieldSequence(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldSequence()`

    - #### setFieldSequence

          void setFieldSequence(VocabularyString value)

      Sets the value of the '`Field Sequence`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Sequence' containment reference.
      See Also:
        `getFieldSequence()`

    - #### getFieldSequenceTableName

          VocabularyString getFieldSequenceTableName()

      Returns the value of the 'Field Sequence Table Name' containment reference.

      If the meaning of the 'Field Sequence Table Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Sequence Table Name' containment reference.
      See Also:
        `setFieldSequenceTableName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldSequenceTableName()`

    - #### setFieldSequenceTableName

          void setFieldSequenceTableName(VocabularyString value)

      Sets the value of the '`Field Sequence Table Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Sequence Table Name' containment reference.
      See Also:
        `getFieldSequenceTableName()`

    - #### getFieldSequenceNameColumnName

          VocabularyString getFieldSequenceNameColumnName()

      Returns the value of the 'Field Sequence Name Column Name' containment reference.

      If the meaning of the 'Field Sequence Name Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Sequence Name Column Name' containment reference.
      See Also:
        `setFieldSequenceNameColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldSequenceNameColumnName()`

    - #### setFieldSequenceNameColumnName

          void setFieldSequenceNameColumnName(VocabularyString value)

      Sets the value of the '`Field Sequence Name Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Sequence Name Column Name' containment reference.
      See Also:
        `getFieldSequenceNameColumnName()`

    - #### getFieldSequenceNextvalColumnName

          VocabularyString getFieldSequenceNextvalColumnName()

      Returns the value of the 'Field Sequence Nextval Column Name' containment reference.

      If the meaning of the 'Field Sequence Nextval Column Name' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Field Sequence Nextval Column Name' containment reference.
      See Also:
        `setFieldSequenceNextvalColumnName(VocabularyString)`, `CanonicalvocabularymodelPackage.getAttributeExtension_FieldSequenceNextvalColumnName()`

    - #### setFieldSequenceNextvalColumnName

          void setFieldSequenceNextvalColumnName(VocabularyString value)

      Sets the value of the '`Field Sequence Nextval Column Name`' containment reference.
      Parameters:
        `value` - the new value of the 'Field Sequence Nextval Column Name' containment reference.
      See Also:
        `getFieldSequenceNextvalColumnName()`

    - #### getIdentityEntity

          EntityExtension getIdentityEntity()

      Returns the value of the 'Identity Entity' reference. It is bidirectional and its opposite is '`Identity Attributes`'.

      If the meaning of the 'Identity Entity' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Identity Entity' reference.
      See Also:
        `setIdentityEntity(EntityExtension)`, `CanonicalvocabularymodelPackage.getAttributeExtension_IdentityEntity()`, `EntityExtension.getIdentityAttributes()`

    - #### setIdentityEntity

          void setIdentityEntity(EntityExtension value)

      Sets the value of the '`Identity Entity`' reference.
      Parameters:
        `value` - the new value of the 'Identity Entity' reference.
      See Also:
        `getIdentityEntity()`

    - #### getCustomDataType

          CustomDataType getCustomDataType()

      Returns the value of the 'Custom Data Type' reference.

      If the meaning of the 'Custom Data Type' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Custom Data Type' reference.
      See Also:
        `setCustomDataType(CustomDataType)`, `CanonicalvocabularymodelPackage.getAttributeExtension_CustomDataType()`

    - #### setCustomDataType

          void setCustomDataType(CustomDataType value)

      Sets the value of the '`Custom Data Type`' reference.
      Parameters:
        `value` - the new value of the 'Custom Data Type' reference.
      See Also:
        `getCustomDataType()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.